StartupEvents.registry('palladium:abilities', (event) => {
    event.create('ninjago:add_hunger')
	    .displayName('Add hunger')
        .documentationDescription('Adds hunger value')
		.addProperty('hunger', 'integer', -1, 'Amount of hunger to add')

        .tick((entity, entry, holder, enabled) => {
			const hunger = entry.getPropertyByName("hunger");
            if (enabled && entity.isPlayer()) {
                entity.foodData.foodLevel = Math.min(20, Math.max(0, entity.foodData.foodLevel + hunger));
            } 
        });
});